import { EditorState, Compartment } from '@codemirror/state';
import { EditorView, keymap } from '@codemirror/view';
import { history, defaultKeymap, historyKeymap, indentWithTab } from '@codemirror/commands';
import { HighlightStyle, syntaxHighlighting, LanguageSupport } from '@codemirror/language';
import { tags } from '@lezer/highlight';
type LangItem = {
    value: string;
    text: string;
    component?: () => LanguageSupport;
};
declare const langItems: LangItem[];
export { EditorState, Compartment, EditorView, keymap, history, defaultKeymap, historyKeymap, indentWithTab, HighlightStyle, syntaxHighlighting, tags, langItems, };
